# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rgen}
  s.version = "0.6.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Martin Thiede"]
  s.date = %q{2013-08-30}
  s.description = %q{RGen is a framework for Model Driven Software Development (MDSD) in Ruby. This means that it helps you build Metamodels, instantiate Models, modify and transform Models and finally generate arbitrary textual content from it.}
  s.email = %q{martin dot thiede at gmx de}
  s.extra_rdoc_files = ["README.rdoc", "CHANGELOG", "MIT-LICENSE"]
  s.files = ["lib/ea_support/ea_support.rb", "lib/ea_support/id_store.rb", "lib/ea_support/uml13_ea_metamodel.rb", "lib/ea_support/uml13_ea_metamodel_ext.rb", "lib/ea_support/uml13_ea_metamodel_generator.rb", "lib/ea_support/uml13_ea_to_uml13.rb", "lib/ea_support/uml13_to_uml13_ea.rb", "lib/metamodels/uml13_metamodel.rb", "lib/metamodels/uml13_metamodel_ext.rb", "lib/mmgen/metamodel_generator.rb", "lib/mmgen/mm_ext/ecore_mmgen_ext.rb", "lib/mmgen/mmgen.rb", "lib/mmgen/templates/annotations.tpl", "lib/mmgen/templates/metamodel_generator.tpl", "lib/rgen/array_extensions.rb", "lib/rgen/ecore/ecore.rb", "lib/rgen/ecore/ecore_builder_methods.rb", "lib/rgen/ecore/ecore_ext.rb", "lib/rgen/ecore/ecore_interface.rb", "lib/rgen/ecore/ecore_to_ruby.rb", "lib/rgen/ecore/ruby_to_ecore.rb", "lib/rgen/environment.rb", "lib/rgen/fragment/dump_file_cache.rb", "lib/rgen/fragment/fragmented_model.rb", "lib/rgen/fragment/model_fragment.rb", "lib/rgen/instantiator/abstract_instantiator.rb", "lib/rgen/instantiator/abstract_xml_instantiator.rb", "lib/rgen/instantiator/default_xml_instantiator.rb", "lib/rgen/instantiator/ecore_xml_instantiator.rb", "lib/rgen/instantiator/json_instantiator.rb", "lib/rgen/instantiator/json_parser.rb", "lib/rgen/instantiator/json_parser.y", "lib/rgen/instantiator/nodebased_xml_instantiator.rb", "lib/rgen/instantiator/qualified_name_resolver.rb", "lib/rgen/instantiator/reference_resolver.rb", "lib/rgen/instantiator/resolution_helper.rb", "lib/rgen/instantiator/xmi11_instantiator.rb", "lib/rgen/metamodel_builder.rb", "lib/rgen/metamodel_builder/builder_extensions.rb", "lib/rgen/metamodel_builder/builder_runtime.rb", "lib/rgen/metamodel_builder/constant_order_helper.rb", "lib/rgen/metamodel_builder/data_types.rb", "lib/rgen/metamodel_builder/intermediate/annotation.rb", "lib/rgen/metamodel_builder/intermediate/feature.rb", "lib/rgen/metamodel_builder/mm_multiple.rb", "lib/rgen/metamodel_builder/module_extension.rb", "lib/rgen/model_builder.rb", "lib/rgen/model_builder/builder_context.rb", "lib/rgen/model_builder/model_serializer.rb", "lib/rgen/model_builder/reference_resolver.rb", "lib/rgen/serializer/json_serializer.rb", "lib/rgen/serializer/opposite_reference_filter.rb", "lib/rgen/serializer/qualified_name_provider.rb", "lib/rgen/serializer/xmi11_serializer.rb", "lib/rgen/serializer/xmi20_serializer.rb", "lib/rgen/serializer/xml_serializer.rb", "lib/rgen/template_language.rb", "lib/rgen/template_language/directory_template_container.rb", "lib/rgen/template_language/output_handler.rb", "lib/rgen/template_language/template_container.rb", "lib/rgen/template_language/template_helper.rb", "lib/rgen/transformer.rb", "lib/rgen/util/auto_class_creator.rb", "lib/rgen/util/cached_glob.rb", "lib/rgen/util/file_cache_map.rb", "lib/rgen/util/file_change_detector.rb", "lib/rgen/util/method_delegation.rb", "lib/rgen/util/model_comparator.rb", "lib/rgen/util/model_comparator_base.rb", "lib/rgen/util/model_dumper.rb", "lib/rgen/util/name_helper.rb", "lib/rgen/util/pattern_matcher.rb", "lib/transformers/ecore_to_uml13.rb", "lib/transformers/uml13_to_ecore.rb", "test/array_extensions_test.rb", "test/ea_instantiator_test.rb", "test/ea_serializer_test.rb", "test/ecore_self_test.rb", "test/environment_test.rb", "test/json_test.rb", "test/metamodel_builder_test.rb", "test/metamodel_from_ecore_test.rb", "test/metamodel_order_test.rb", "test/metamodel_roundtrip_test.rb", "test/metamodel_roundtrip_test/TestModel.rb", "test/metamodel_roundtrip_test/TestModel_Regenerated.rb", "test/metamodel_roundtrip_test/houseMetamodel.ecore", "test/metamodel_roundtrip_test/houseMetamodel_Regenerated.ecore", "test/metamodel_roundtrip_test/houseMetamodel_from_ecore.rb", "test/metamodel_roundtrip_test/using_builtin_types.ecore", "test/metamodel_roundtrip_test/using_builtin_types_serialized.ecore", "test/method_delegation_test.rb", "test/model_builder/builder_context_test.rb", "test/model_builder/builder_test.rb", "test/model_builder/ecore_internal.rb", "test/model_builder/ecore_original.rb", "test/model_builder/ecore_original_regenerated.rb", "test/model_builder/reference_resolver_test.rb", "test/model_builder/serializer_test.rb", "test/model_builder/statemachine_metamodel.rb", "test/model_builder/test_model/statemachine1.rb", "test/model_builder_test.rb", "test/model_fragment_test.rb", "test/output_handler_test.rb", "test/qualified_name_provider_test.rb", "test/qualified_name_resolver_test.rb", "test/reference_resolver_test.rb", "test/rgen_test.rb", "test/template_language_test.rb", "test/template_language_test/expected_result1.txt", "test/template_language_test/expected_result2.txt", "test/template_language_test/expected_result3.txt", "test/template_language_test/indentStringTestDefaultIndent.out", "test/template_language_test/indentStringTestTabIndent.out", "test/template_language_test/templates/callback_indent_test/a.tpl", "test/template_language_test/templates/callback_indent_test/b.tpl", "test/template_language_test/templates/code/array.tpl", "test/template_language_test/templates/content/author.tpl", "test/template_language_test/templates/content/chapter.tpl", "test/template_language_test/templates/define_local_test/local.tpl", "test/template_language_test/templates/define_local_test/test.tpl", "test/template_language_test/templates/evaluate_test/test.tpl", "test/template_language_test/templates/indent_string_test.tpl", "test/template_language_test/templates/index/c/cmod.tpl", "test/template_language_test/templates/index/chapter.tpl", "test/template_language_test/templates/no_backslash_r_test.tpl", "test/template_language_test/templates/no_indent_test/no_indent.tpl", "test/template_language_test/templates/no_indent_test/sub1/no_indent.tpl", "test/template_language_test/templates/no_indent_test/test.tpl", "test/template_language_test/templates/no_indent_test/test2.tpl", "test/template_language_test/templates/no_indent_test/test3.tpl", "test/template_language_test/templates/null_context_test.tpl", "test/template_language_test/templates/root.tpl", "test/template_language_test/templates/template_resolution_test/sub1.tpl", "test/template_language_test/templates/template_resolution_test/sub1/sub1.tpl", "test/template_language_test/templates/template_resolution_test/test.tpl", "test/template_language_test/testout.txt", "test/testmodel/class_model_checker.rb", "test/testmodel/ea_testmodel.eap", "test/testmodel/ea_testmodel.xml", "test/testmodel/ea_testmodel_partial.xml", "test/testmodel/ea_testmodel_regenerated.xml", "test/testmodel/ecore_model_checker.rb", "test/testmodel/manual_testmodel.xml", "test/testmodel/object_model_checker.rb", "test/transformer_test.rb", "test/util/file_cache_map_test.rb", "test/util/file_cache_map_test/testdir/fileA", "test/util/pattern_matcher_test.rb", "test/util_test.rb", "test/xml_instantiator_test.rb", "test/xml_instantiator_test/simple_ecore_model_checker.rb", "test/xml_instantiator_test/simple_xmi_ecore_instantiator.rb", "test/xml_instantiator_test/simple_xmi_metamodel.rb", "test/xml_instantiator_test/simple_xmi_to_ecore.rb", "README.rdoc", "CHANGELOG", "MIT-LICENSE", "Rakefile"]
  s.homepage = %q{http://ruby-gen.org}
  s.rdoc_options = ["--main", "README.rdoc", "-x", "test", "-x", "metamodels", "-x", "ea_support/uml13*"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{rgen}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Ruby Modelling and Generator Framework}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
